Support » Plugin: WooCommerce » Update to 3.0.5 Failing on Permissions

  • Hello WooCommerce

    I have WooCommerce 3.0.4 installed and working.

    I tried to update to 3.0.5 and it failed as follows:

    
    The update process is starting. This process may take a while on some hosts, so please be patient.
    
    Enabling Maintenance mode…
    
    Updating Plugin WooCommerce (1/1)
    Downloading update from https://downloads.wordpress.org/plugin/woocommerce.3.0.5.zip…
    Unpacking the update…
    Installing the latest version…
    Removing the old version of the plugin…
    Plugin update failed.
    An error occurred while updating WooCommerce: The update cannot be installed because we will be unable to copy some files. This is usually due to inconsistent file permissions. templates/loop/add-to-cart.bak
    
    Warning: fopen(/home/admin/public_html/wp-content/plugins/home/admin/public_html/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or directory in /home/admin/public_html/wp-includes/functions.php on line 4784
    
    Warning: fread() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4787
    
    Warning: fclose() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4790
    
    Warning: fopen(/home/admin/public_html/wp-content/plugins/home/admin/public_html/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or directory in /home/admin/public_html/wp-includes/functions.php on line 4784
    
    Warning: fread() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4787
    
    Warning: fclose() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4790
    
    Warning: fopen(/home/admin/public_html/wp-content/plugins/home/admin/public_html/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or directory in /home/admin/public_html/wp-includes/functions.php on line 4784
    
    Warning: fread() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4787
    
    Warning: fclose() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4790
    
    Warning: fopen(/home/admin/public_html/wp-content/plugins/home/admin/public_html/wp-content/themes/enfold/config-layerslider/LayerSlider/layerslider.php): failed to open stream: No such file or directory in /home/admin/public_html/wp-includes/functions.php on line 4784
    
    Warning: fread() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4787
    
    Warning: fclose() expects parameter 1 to be resource, boolean given in /home/admin/public_html/wp-includes/functions.php on line 4790
    All updates have been completed.

    I tried setting permissions as follows:

    find /path/to/your/wordpress/install/ -type d -exec chmod 755 {} \;
    find /path/to/your/wordpress/install/ -type f -exec chmod 644 {} \;

    But running the install gave the same error message.

    Is this a problem with my theme Enfold? or with WooCommerce? or both?

    Any ideas?

    Thanks.

Viewing 5 replies - 1 through 5 (of 5 total)
  • LordLiverpool

    (@lordliverpool)

    Hello WooCommerce

    I still can’t update to 3.0.5

    WooCommerce

    Any ideas?

    Thanks

    LordLiverpool

    (@lordliverpool)

    Anyone know why this is happening?

    WooCommerce

    Thanks.

    LordLiverpool

    (@lordliverpool)

    Any help from WooCommerce would be appreciated.

    WooCommerce

    LordLiverpool

    (@lordliverpool)

    I’ve tried deactivating all plugins.

    I’ve tried installing the default theme – Twenty Seventeen.

    I’ve checked permissions:
    permissions

    So I tried these 3 things and I still get an error:
    permissions

    Here is my status report:

    
    ### WordPress Environment ###
    
    Home URL: http://alohabar.co.uk
    Site URL: http://alohabar.co.uk
    WC Version: 3.0.4
    Log Directory Writable: ✔
    WP Version: 4.8
    WP Multisite: –
    WP Memory Limit: 512 MB
    WP Debug Mode: –
    WP Cron: ✔
    Language: en_GB
    
    ### Server Environment ###
    
    Server Info: Apache
    PHP Version: 5.6.30
    PHP Post Max Size: 1 GB
    PHP Time Limit: 300
    PHP Max Input Vars: 12288
    cURL Version: 7.53.1
    OpenSSL/1.0.1e
    
    SUHOSIN Installed: –
    MySQL Version: 5.6.35
    Max Upload Size: 32 MB
    Default Timezone is UTC: ✔
    fsockopen/cURL: ✔
    SoapClient: ✔
    DOMDocument: ✔
    GZip: ✔
    Multibyte String: ✔
    Remote Post: ✔
    Remote Get: ✔
    
    ### Database ###
    
    WC Database Version: 3.0.4
    WC Database Prefix: wp_
    woocommerce_sessions: ✔
    woocommerce_api_keys: ✔
    woocommerce_attribute_taxonomies: ✔
    woocommerce_downloadable_product_permissions: ✔
    woocommerce_order_items: ✔
    woocommerce_order_itemmeta: ✔
    woocommerce_tax_rates: ✔
    woocommerce_tax_rate_locations: ✔
    woocommerce_shipping_zones: ✔
    woocommerce_shipping_zone_locations: ✔
    woocommerce_shipping_zone_methods: ✔
    woocommerce_payment_tokens: ✔
    woocommerce_payment_tokenmeta: ✔
    
    ### Security ###
    
    Secure connection (HTTPS): ❌Your store is not using HTTPS. Learn more about HTTPS and SSL Certificates.
    Hide errors from visitors: ✔
    
    ### Active Plugins (12) ###
    
    Advanced Access Manager: by Vasyl Martyniuk  – 4.7.6
    Akismet Anti-Spam: by Automattic – 3.3.2
    Better WordPress reCAPTCHA: by Khang Minh – 2.0.3
    Coming Soon Page & Maintenance Mode by SeedProd: by SeedProd – 5.0.10
    Custom Facebook Feed: by Smash Balloon – 2.4.6
    Disable XML-RPC: by Philip Erb – 1.0.1
    Jetpack by WordPress.com: by Automattic – 5.0
    Remember Me Not: by Shrkey – 1.0
    Simple Twitter Tweets: by Ashley Sheinwald – 4.4
    Booking & Appointment Plugin for WooCommerce: by Tyche Softwares – 4.0.0
    Woocommerce Custom Tabs: by WebshopLogic – 1.0.18
    WooCommerce: by Automattic – 3.0.4 – 3.0.8 is available
    
    ### Settings ###
    
    API Enabled: ✔
    Force SSL: –
    Currency: GBP (£)
    Currency Position: left
    Thousand Separator: ,
    Decimal Separator: .
    Number of Decimals: 2
    Taxonomies: Product Types: downloadable (downloadable)
    external (external)
    grouped (grouped)
    simple (simple)
    variable (variable)
    virtual (virtual)
    
    Taxonomies: Product Visibility: exclude-from-catalog (exclude-from-catalog)
    exclude-from-search (exclude-from-search)
    featured (featured)
    outofstock (outofstock)
    rated-1 (rated-1)
    rated-2 (rated-2)
    rated-3 (rated-3)
    rated-4 (rated-4)
    rated-5 (rated-5)
    
    ### WC Pages ###
    
    Shop base: #2308 - /reservations/
    Basket: #3147 - /cart/
    Checkout: #3148 - /checkout/
    My account: #3149 - /my-account/
    
    ### Theme ###
    
    Name: Enfold Child
    Version: – 0 is available
    Author URL: http://www.kriesi.at
    Child Theme: ✔
    Parent Theme Name: Enfold
    Parent Theme Version: 4.0.7
    Parent Theme Author URL: http://www.kriesi.at
    WooCommerce Support: ✔
    
    ### Templates ###
    
    Overrides: –
    

    3 months since I first posted and still no reply from WooCommerce

    woocommerce

    • This reply was modified 10 months, 2 weeks ago by  LordLiverpool.
    • This reply was modified 10 months, 2 weeks ago by  LordLiverpool.
Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Update to 3.0.5 Failing on Permissions’ is closed to new replies.